<agm-map
  [latitude]="Ilatitude"
  [longitude]="Ilongitude"
  [zoom]="zoom"
  [disableDefaultUI]="false"
  [zoomControl]="true"
  [clickableIcons]="true"
  [disableDoubleClickZoom]="true"
  [usePanning]="true"
>
  <ng-container *ngFor="let latLon of SnappedLatLon; let i = index">
    <agm-marker
      *ngIf="i == 0"
      [latitude]="latLon.latitude"
      [longitude]="latLon.longitude"
      [iconUrl]="latLon.url"
    >
    </agm-marker>
    <agm-marker
      *ngIf="i == len - 1"
      [latitude]="latLon.latitude"
      [longitude]="latLon.longitude"
      [iconUrl]="latLon.url"
    >
    </agm-marker>
  </ng-container>

  <agm-polyline [strokeColor]="'black'">
    <ng-container *ngFor="let latLon of SnappedLatLon; let i = index">
      <agm-polyline-point
        [latitude]="latLon.latitude"
        [longitude]="latLon.longitude"
      ></agm-polyline-point>
    </ng-container>
  </agm-polyline>
</agm-map>

<!-- <ng-container *ngFor="let latLon of SnappedLatLon; let i = index">
    <agm-marker
      *ngIf="i == len - 1 || i == 0"
      [latitude]="latLon.latitude"
      [longitude]="latLon.longitude"
      [iconUrl]="latLon.url"
    >
    </agm-marker>
  </ng-container> -->

<!-- <ng-container *ngFor="let latLon of SnappedLatLon ; let i=index">
 <agm-marker *ngIf = " i==0 "
 [latitude]="latLon.latitude"
 [longitude]="latLon.longitude"
 [iconUrl]= "startIconUrl()"></agm-marker>
 </ng-container>

 <ng-container *ngFor="let latLon of SnappedLatLon ; let i=index">
    <agm-marker *ngIf = " i==len - 1 "
    [latitude]="latLon.latitude"
    [longitude]="latLon.longitude"
    [iconUrl]= "stopIconUrl()"
    >
   </agm-marker>
    </ng-container> -->

<!-- <agm-polyline [strokeColor]="'red'">
       <ng-container *ngFor="let path of paths">
       <agm-polyline-point [latitude]="convert(path.lat)" [longitude]="convert(path.lon)"></agm-polyline-point>
       </ng-container>
     </agm-polyline> -->
